import ts from "typescript";
declare module "typescript" {
    function isAsyncFunction(node: ts.Node): boolean;
}
export interface Options {
    mobxKeystonePackage: string;
    generateModelNameFromFilename?: (filename: string) => string;
}
/**
 * 1. Look for functions marked decorated with @autoFlow or inside an autoFlow(...) call
 * 2. Transform them into generator functions wrapped in an _async call
 * 3. Add import * as mobxKs from "mobx-keystone"; to the top of the file
 * 4. Look for classes marked with @autoModel
 * 5. Transform them into classes marked with @model
 */
export default function createTransformer(options?: Partial<Options>): ts.TransformerFactory<ts.SourceFile>;
